<?php

namespace App\Providers\ProvidersDistribution\ProvidersDistributionDetail;

use App\Providers\ExcelReport\ExcelReport;

class ProvidersDistributionDetailReport
{

    public function exportToExcel(array $data, array $toursList = [], array $countriesList = [])
    {
        $report = new ExcelReport();

        $report->exportToExcel(
            [$data],
            (object)[
                'title' => 'DISTRIBUCION POR PROVEEDOR - DETALLE',
                'rowLength' => 1
            ],
            [
                new ProvidersDistributionDetailCells($toursList, $countriesList),
            ],
        );
    }
}
